/*--------------------------------------------------------------
// $Source: /rcs/vwrcs/components/vwetypes.h,v $
// Checked in by: $Author: ej1 $
// $Date: 1996/07/23 20:44:02 $                $Revision: 1.17 $
//--------------------------------------------------------------
//      Copyright (c) International Business Machines Inc, 1994
//         Copyright(c) 1992, Visual Edge Software Ltd.
//
// ALL RIGHTS RESERVED. This notice is intended as a precaution
// against inadvertent publication, and shall not be deemed to
// consitute an acknowledgment that publication has occurred
// nor to imply any waiver of confidentiality. The year included
// in the notice is the year of the creation of the work.
//--------------------------------------------------------------
// DESCRIPTION:
//            This file defines Vw enumerated types.
//      NOTE: THIS IS A C FILE. YOU CAN PUT YOUR C++ DECLARATIONS
//              IN vwetypes.h
//------------------------------------------------------------*/
#ifndef VWETYPES_H
#define VWETYPES_H

#include <vwglobal.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Form -------------------------------------------------------------------
 */
enum VwModal {  VwIllegalModal = -1,
                VwModelessForm,
                VwModalForm,
                VwMaxModal };

/*
 * END Form ---------------------------------------------------------------
 */

enum VwBackStyle {VwIllegalBackStyle = -1 , VwTransparent,
                  VwOpaque, VwMaxBackStyle };


enum VwDragMode { VwIllegalDragMode = -1, VwManualDrag,
                  VwAutomaticDrag,        VwMaxDragMode };

enum VwScaleMode {
                VwIllegalScale=-1,      VwUserDefinedScale, VwTwipScale,
                VwPointScale,           VwPixelScale,       VwCharacterScale,
                VwInchScale,            VwMillimeterScale,
                VwCentimeterScale,      VwMaxScale};

enum VwMousePointer {
                VwIllegalPointer=-1, VwControlDefinedPointer, VwArrowPointer,
                VwCrossPointer,      VwIBeamPointer,          VwIconPointer,
                VwSizePointer,       VwSizeNESWPointer,       VwSizeNSPointer,
                VwSizeNWSEPointer,   VwSizeWEPointer,         VwUpArrowPointer,
                VwWaitPointer,       VwNoDropPointer,	      VwReversePointer,
		VwMaxPointer };

enum VwTextAlignment {
                VwIllegalAlignment=-1,  VwLeftJustifyAlignment,
                VwRightJustifyAlignment,        VwCenterAlignment,
                VwMaxAlignment };

enum VwBorderStyle {
                VwIllegalBorder=-1, VwNoBorder,         VwFixedSingleBorder,
                VwSizableBorder,          VwFixedDoubleBorder,  VwMaxBorder};

enum VwValue { VwIllegalValue = -1, VwOff, VwOn, VwGrayed, VwMaxValue };

/*
 * MDI ---------------------------------------------------------------------
 */
enum VwArrangeMode {    VwIllegalArrangeMode = -1,      VwArrangeCascade,
                        VwArrangeTileHorizontal,        VwArrangeTileVertical,
                        VwArrangeIcons,                 VwMaxArrangeMode};

enum VwAlign {  VwIllegalAlign = -1,    VwAlignNone,
                VwAlignTop,             VwAlignBottom,
                VwMaxAlign};

enum VwWindowState {
                VwIllegalWindowState = -1,
                VwNormalWindow,
                VwMinimizedWindow,
                VwMaximizedWindow,
                VwMaxWindowState };

enum VwUnloadMode {
                VwIllegalUnloadMode = -1,
                VwControlMenuClose,
                VwUnloadInvoked,
                VwEndWindowSystem,
                VwTaskManagerClose,
                VwMDIClose,
                VwMaxUnloadMode };

/*
 * Menu things ------------------------------------------------------------
 */

enum VwMenuType { 
		VwIllegalMenuType = -1,
		VwBarMenuType,
		VwPopupMenuType,
		VwCascadeMenuType,
		VwMaxMenuType };

enum VwMenuItemType { 
		VwIllegalMenuItemType = -1,
		VwSeparatorType,
		VwItemType,
		VwMaxMenuItemType };

/*
 * CheckBox ---------------------------------------------------------------
 */

enum VwCheckBoxMode {
                VwIllegalCheckBoxMode=-1, VwClearedCheckBoxMode,
                VwSelectedCheckBoxMode, VwGrayedCheckBoxMode,
                VwMaxCheckBoxMode };

enum VwToggleAlignment {
                VwIllegalToggleAlignment = -1, VwAlignLeft,
                VwAlignRight, VwMaxToggleAlignment };

/*
 * ComboBox -------------------------------------------------------------
 */
enum VwStyle {
                VwIllegalStyle = -1,
                VwDropDownCombo,
                VwSimpleCombo,
                VwDropDownList,
                VwMaxStyle };

/*
 * Drag ------------------------------------------------------------------
 */

enum VwDragOverState {
                VwIllegalDragOverState = -1,
                VwEnteringObject,
                VwLeavingObject,
                VwOverObject,
                VwMaxDragOverState };

enum VwDragAction {
                VwIllegalDragAction = -1,
                VwCancelDragAction,
                VwStartDragAction,
                VwDropDragAction,
                VwMaxDragAction };

/*
 * Spin Button ----------------------------------------------------------
 */

enum VwSpinOrientation {
                VwIllegalSpinOrientation = -1,
                VwVerticalSpinOrientation,
                VwHorizontalSpinOrientation,
                VwMaxSpinOrientation };

/*
 * MaskedEdit  ----------------------------------------------------------
 */
enum VwClipMode {
                VwIllegalClipMode=-1, VwIncludeLiterals,  VwExcludeLiterals,
                VwMaxClipMode};

/*
 *=============================================================================
 * Graphics
 *-----------------------------------------------------------------------------
 */
enum VwLineMode {
                VwIllegalLineMode = -1,
                VwStraightLine,
                VwEmptyBox,
                VwFilledBox,
                VwMaxLineMode };


enum VwDrawMode { VwIllegalDrawMode,
                VwBlackness,    VwNotMergePen,  VwMaskNotPen,
                VwNotCopyPen,   VwMaskPenNot,   VwInvert,
                VwXorPen,       VwNotMaskPen,   VwMaskPen,
                VwNotXorPen,    VwNop,          VwMergeNotPen,
                VwCopyPen,      VwMergePenNot,  VwMergePen,
                VwWhiteness,    VwMaxDrawMode };

enum VwDrawStyle { VwIllegalDrawStyle = -1,
                 VwSolidDraw,      VwDashDraw,       VwDotDraw,
                 VwDashDotDraw,    VwDashDotDotDraw, VwInvisibleDraw,
                 VwInsideSolidDraw , VwMaxDrawStyle };

enum VwGEDrawStyle { VwGEIllegalDrawStyle = -1, VwGEInvisibleDraw,
                 VwGESolidDraw,      VwGEDashDraw,       VwGEDotDraw,
                 VwGEDashDotDraw,    VwGEDashDotDotDraw,
                 VwGEInsideSolidDraw , VwGEMaxDrawStyle };

enum VwFillStyle { VwIllegalFillStyle = -1,
                 VwSolidFill,            VwTransparentFill,
                 VwHorizontalLineFill,   VwVerticalLineFill,
                 VwUpwardDiagonalFill,   VwDownwardDiagonalFill,
                 VwCrossFill,            VwDiagonalCrossFill,
                 VwMaxFillStyle };

enum VwScrollBars {
                VwIllegalScrollBar=-1,  VwNoScrollBars,
                VwHorizontalScrollBar,  VwVerticalScrollBar,
                VwBothScrollBars,       VwMaxScrollBar };

enum VwArrowDirection {VwIllegalArrowDirection=-1, VwArrowUp, VwArrowDown,
                       VwArrowLeft, VwArrowRight, VwMaxArrowDirection };

enum VwShapeType { VwIllegalShape = -1,
                   VwRectangleShape,            VwSquareShape,
                   VwOvalShape,                 VwCircleShape,
                   VwRoundedRectangleShape,     VwRoundedSquareShape,
                   VwMaxShape };

enum VwSystemColor{	VwIllegalSystemColor = -1,
					VwWindowColor,
					VwButtonHighlightColor,
					VwButtonShadowColor,
					VwButtonFaceColor,
					VwTextColor,
					VwTextForegroundHighlightColor,
					VwTextBackgroundHighlightColor,
					VwWindowFrameColor };

/*
 *============================================================================
 * Scroll Bars
 *----------------------------------------------------------------------------
 */

enum VwScrollBarOrientation { VwIllegalScrollBarOrientation = -1,
                              VwVerticalScrollBarOrientation,
                              VwHorizontalScrollBarOrientation,
                              VwMaxScrollBarOrientation };

enum VwScrollCode { VwIllegalScroll = -1,
		    VwTopScroll,
		    VwBottomScroll,
		    VwLineUpScroll,
		    VwLineDownScroll,
		    VwPageUpScroll,
		    VwPageDownScroll,
		    VwThumbPositionScroll,
		    VwEndScroll,
		    VwThumbTrackScroll,
		    VwScrollMax };

/*
 *============================================================================
 * Scrolled Window
 *----------------------------------------------------------------------------
 */

enum VwScrollBarDisplayPolicy { VwIllegalScrollBarDisplayPolicy = -1,
                              VwScrollBarsAsNeeded,
                              VwScrollBarsStatic,
                              VwMaxScrollBarDisplayPolicy };

enum VwScrollBarPlacement { VwIllegalScrollBarPlacement = -1,
                              VwScrollBarsTopLeft,
                              VwScrollBarsBottomLeft,
                              VwScrollBarsTopRight,
                              VwScrollBarsBottomRight,
                              VwMaxScrollBarPlacement };

/*
 *============================================================================
 * RowColumns
 *----------------------------------------------------------------------------
 */
enum VwPacking {
                VwIllegalPacking = -1,  VwPackNone,
                VwPackColumn,           VwPackTight,
                VwMaxPacking};

enum VwOrientation {
                VwIllegalOrientation = -1,      VwVerticalOrientation,
                VwHorizontalOrientation,        VwMaxOrientation};

/*
 *============================================================================
 * Lists
 *----------------------------------------------------------------------------
 */
enum VwMultiSelect {
        VwIllegalMultiSelect = -1,      VwNoMultiSelect,
        VwSimpleMultiSelect,            VwExtendedMultiSelect,
        VwMaxMultiSelect};

/*
 *============================================================================
 * Tools
 *----------------------------------------------------------------------------
 */
enum VwToolMode {
        VwIllegalToolMode = -1, VwCaptionOnly,
        VwPixmapOnly, VwCaptionAndPixmap, VwMaxToolMode};

enum VwShadowStyle {
        VwIllegalShadowStyle = -1, VwShadowIn, VwShadowOut,
        VwEtchedIn, VwEtchedOut, VwMaxShadowStyle};

/*
 *============================================================================
 * Matrix
 *----------------------------------------------------------------------------
 */
enum VwMatrixAlignment {
                VwIllegalMatrixAlignment=-1,    VwMatrixLeftAlignment,
                VwMatrixRightAlignment, VwMatrixCenterAlignment,
                VwMatrixColumnAlignment,
                VwMaxMatrixAlignment };

enum VwMatrixFillStyle { VwIllegalMatrixFillStyle = -1,
                 VwMatrixSingleFill,            VwMatrixRepeatFill,
                 VwMaxMatrixFillStyle };

enum VwMatrixResizePolicy { VwIllegalMatrixResizePolicy = -1,
                VwMatrixNoResize,               VwMatrixFixedRowResize,
                VwMatrixFixedColumnResize,      VwMatrixFixedRowColumnResize,
                VwMatrixRowResize,              VwMatrixColumnResize,
                VwMatrixRowColumnResize,        VwMaxMatrixResizePolicy };

/*
 *============================================================================
 * Layouts
 *----------------------------------------------------------------------------
 */
enum VwLayoutType { VwIllegalLayoutType = -1,   VwLayoutEqualSize,
                    VwLayoutParentPercentage,   VwLayoutResizePercentage,
                    VwLayoutPreservePercentage, VwLayoutProportionalResize,
                    VwMaxLayoutType};

/*
 *============================================================================
 * Outline
 *----------------------------------------------------------------------------
 */
enum VwOutlineStyle {
		VwIllegalOutlineStyle=-1, 	VwOutlineTextOnly,		
		VwOutlinePicture, 		VwOutlinePlusMinus,	
		VwOutlinePlusMinusPicture, 	VwOutlineTreeLine,
		VwOutlineTreeLinePicture,	VwMaxOutlineStyle};
		

#ifdef __cplusplus
}
#endif
#endif
